# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TGetPrimaryKeysResp

Packages that use TGetPrimaryKeysResp
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TGetPrimaryKeysResp in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TGetPrimaryKeysResp in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`static class`
`TCLIService.AsyncClient.GetPrimaryKeys_call`
`static class`
`TCLIService.AsyncProcessor.GetPrimaryKeys<I extends TCLIService.AsyncIface>`
Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TGetPrimaryKeysResp
Modifier and Type
Class
Description
`class`
`TGetPrimaryKeysResp`
`class`
`TGetPrimaryKeysResp`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TGetPrimaryKeysResp
Modifier and Type
Field
Description
`TGetPrimaryKeysResp`
TCLIService.GetPrimaryKeys_result.`success`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TGetPrimaryKeysResp
Modifier and Type
Method
Description
`TGetPrimaryKeysResp`
TGetPrimaryKeysResp.`deepCopy()`
`TGetPrimaryKeysResp`
TCLIService.Client.`GetPrimaryKeys(TGetPrimaryKeysReq req)`
`TGetPrimaryKeysResp`
TCLIService.Iface.`GetPrimaryKeys(TGetPrimaryKeysReq req)`
`TGetPrimaryKeysResp`
TCLIService.AsyncClient.GetPrimaryKeys_call.`getResult()`
`TGetPrimaryKeysResp`
TCLIService.GetPrimaryKeys_result.`getSuccess()`
`TGetPrimaryKeysResp`
TCLIService.Client.`recv_GetPrimaryKeys()`
`TGetPrimaryKeysResp`
TGetPrimaryKeysResp.`setDirectResults(TSparkDirectResults directResults)`
`TGetPrimaryKeysResp`
TGetPrimaryKeysResp.`setOperationHandle(TOperationHandle operationHandle)`
`TGetPrimaryKeysResp`
TGetPrimaryKeysResp.`setStatus(TStatus status)`
Methods in com.databricks.jdbc.model.client.thrift.generated that return types with arguments of type TGetPrimaryKeysResp
Modifier and Type
Method
Description
`org.apache.thrift.async.AsyncMethodCallback<TGetPrimaryKeysResp>`
TCLIService.AsyncProcessor.GetPrimaryKeys.`getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetPrimaryKeysResp
Modifier and Type
Method
Description
`int`
TGetPrimaryKeysResp.`compareTo(TGetPrimaryKeysResp other)`
`boolean`
TGetPrimaryKeysResp.`equals(TGetPrimaryKeysResp that)`
`TCLIService.GetPrimaryKeys_result`
TCLIService.GetPrimaryKeys_result.`setSuccess(TGetPrimaryKeysResp success)`
Method parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TGetPrimaryKeysResp
Modifier and Type
Method
Description
`void`
TCLIService.AsyncClient.`GetPrimaryKeys(TGetPrimaryKeysReq req, org.apache.thrift.async.AsyncMethodCallback<TGetPrimaryKeysResp> resultHandler)`
`void`
TCLIService.AsyncIface.`GetPrimaryKeys(TGetPrimaryKeysReq req, org.apache.thrift.async.AsyncMethodCallback<TGetPrimaryKeysResp> resultHandler)`
`void`
TCLIService.AsyncProcessor.GetPrimaryKeys.`start(I iface, TCLIService.GetPrimaryKeys_args args, org.apache.thrift.async.AsyncMethodCallback<TGetPrimaryKeysResp> resultHandler)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetPrimaryKeysResp
Modifier
Constructor
Description
``
`GetPrimaryKeys_result(TGetPrimaryKeysResp success)`
``
`TGetPrimaryKeysResp(TGetPrimaryKeysResp other)`
Performs a deep copy on other.
Constructor parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TGetPrimaryKeysResp
Modifier
Constructor
Description
``
`GetPrimaryKeys_call(TGetPrimaryKeysReq req, org.apache.thrift.async.AsyncMethodCallback<TGetPrimaryKeysResp> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`